
//----- STD include -----
#include <iostream>
#include <string>
#include <time.h>
//----------------------

//----- Personnal include -----
#include "./Model/Grid.hpp"
#include "./Controllers/ConsoleController/ConsoleController.hpp"
//-----------------------------

#include "./Model/Cell.hpp"
//#include "./Model/Elements/StringElement.hpp"

//----- Start -----



int main()
{
	Cell<StringElement> cell1("loic");
	Cell<StringElement> cell2("loic");


	if(cell1==cell2){
		std::cout << "Egale" << std::endl;
	}
	else{
		std::cout << "Différent" << std::endl;
	}

    	//Init random
	srand(time(NULL));

	//Init console controller
	ConsoleController * controller = new ConsoleController();

	//Launch game
	controller->play();

	//Remove controlelr
	delete controller;

	return 0;
}
